package main

/*
@Time : 2021/10/26 下午3:57
@Author : Zhouyc
*/
import (
	. "goactuator/actuator"
	"log"
	"time"
)
var logger,_= MakeLog("./")
func main()  {
	for {

		log.Println("<actuator>:Getting SlotList>>>")
		commandList, err :=GetRunnableSlotList()
		if err != nil {
			log.Printf("getRunnableSlotList error:%v", err)
			logger.Printf("getRunnableSlotList error:%v", err)
		}else {

			if len(commandList) != 0 {
				for _, cmdPkg := range commandList {
					cmdPkg := cmdPkg
					go func() {
						err:=Instantiate(cmdPkg)
						if err!=nil{
							logger.Printf("Launch container failure:%v",err)
							return
						}
						err = SetSlotInitialized(cmdPkg)
						if err != nil {
							logger.Printf("setSlotInit grpc error:%v", err)
							return
						}
					}()
				}
			}
		}

		log.Println("<actuator>:Getting DaemonList>>>")
		commandList,err=GetRunnableDaemonList()
		if err != nil {
			log.Printf("getRunnableDaemonList error:%v", err)
			logger.Printf("getRunnableDaemonList error:%v", err)
		}else {

			if len(commandList) != 0 {
				for _, cmdPkg := range commandList {
					cmdPkg := cmdPkg
					go func() {
						err:=Instantiate(cmdPkg)
						if err!=nil{
							logger.Printf("Launch container failure:%v",err)
							return
						}
						err = SetRunnableDaemonInitialized(cmdPkg)
						if err != nil {
							logger.Printf("setDaemonInit grpc error:%v", err)
							return
						}
					}()
				}
			}
		}

		log.Println("<actuator>:Getting Daemon2TerminatedList>>>")
		commandList,err=GetTerminatedDaemonList()
		if err != nil {
			log.Printf("getTerminatedDaemonList error:%v", err)
			logger.Printf("getTerminatedDaemonList error:%v", err)
		}else {

			if len(commandList) != 0 {
				for _, cmdPkg := range commandList {
					cmdPkg := cmdPkg
					go func() {
						err:=Instantiate(cmdPkg)
						if err!=nil{
							logger.Printf("Terminate container failure:%v",err)
							return
						}
						err = SetRunnableDaemonTerminated(cmdPkg)
						if err != nil {
							logger.Printf("setDaemonTerminated grpc error:%v", err)
							return
						}
					}()
				}
			}
		}
		log.Println("Going to sleep for 2min")
		time.Sleep(time.Second*120)
	}

}
